# pyhoff.devices.KL3202 — pyhoff documentation

Skip to main content
`Ctrl`+`K`

# pyhoff.devices.KL3202

class pyhoff.devices.KL3202(bus_coupler, output_bit_addresses, input_bit_addresses, output_word_addresses, input_word_addresses, mixed_mapping)

  Bases: `AnalogInputTerminal`

  KL3202: 2x analog input PT100 16 Bit 3-wire

  Instantiate a new BusTerminal base class.

  Parameters:

    - bus_coupler (`BusCoupler`) – The bus coupler to which this terminal is connected.

    - output_bit_addresses (`list`[`int`]) – List of addresses of the output bits.

    - input_bit_addresses (`list`[`int`]) – List of addresses of input bits.

    - output_word_addresses (`list`[`int`]) – List of addresses of output words.

    - input_word_addresses (`list`[`int`]) – List of addresses of input words.

  read_channel_word(channel, error_value=-99999)

    Read a single word from the terminal.

    Parameters:

      channel (`int`) – The channel number (1 based index) to read from.

    Return type:

      `int`

    Returns:

      The read word value.

    Raises:

      Exception – If the word offset or count is out of range.

  read_normalized(channel)

    Read a normalized value (0…1) from a specific channel.

    Parameters:

      channel (`int`) – The channel number to read from.

    Return type:

      `float`

    Returns:

      The normalized value.

  read_temperature(channel)

    Read the temperature value from a specific channel.

    Parameters:

      channel (`int`) – The channel number to read from.

    Return type:

      `float`

    Returns:

      The temperature value in °C.